#!/usr/bin/env bash
# Wed 21 Sep 2016 13:06:56 CEST

# Functions for coloring echo commands
red_echo() {
  echo -e "\033[1;31m${@}\033[0m"
}

green_echo() {
  echo -e "\033[1;32m${@}\033[0m"
}

if [ -z "${DOCUSER}" ] || [ -z "${DOCPASS}" ] || [ -z "${DOCSERVER}" ]; then
  red_echo "DOCSERVER, DOCUSER and/or DOCPASS undefined - aborting...";
  exit 1
fi

for file in dist/*.whl; do
  green_echo "[>>] Uploading ${file}..."
  curl --silent --user "${DOCUSER}:${DOCPASS}" --upload-file ${file} ${DOCSERVER}/software/bob/wheels-upload/gitlab/
  if [ $? != 0 ]; then
    red_echo "[error] curl command finished with an error condition"
    exit 1
  fi
done
