#!/usr/bin/env bash
# Thu 22 Sep 2016 13:59:03 CEST

source $(dirname ${0})/functions.sh

lock_pypirc

setup_deploy register --repository staging
setup_deploy check sdist --formats zip upload --repository staging

# if that worked, uploads documentation to pythonhosted if any exists
if [ -d sphinx ]; then
  log_info "Uploading documentation to ${PYPISERVER} on behalf of ${PYPIUSER}..."
  setup_deploy upload_docs --upload-dir sphinx --repository production
fi

# if that worked, uploads source package to the production index
log_info "Uploading package to ${PYPISERVER} on behalf of ${PYPIUSER}..."
setup_deploy register --repository production
setup_deploy check sdist --formats zip upload --repository production

unlock_pypirc
