#!/usr/bin/env bash
# Wed 17 Aug 2016 13:50:05 CEST

if [ "${#}" = 0 ]; then
  echo "usage: `basename $0` <wheels>"
  echo "example: `basename $0` *.whl"
  exit 1
fi

SERVER=https://www.idiap.ch/software/bob/wheels-upload/gitlab/

echo -n "Username: "
read username
echo -n "Password: "
read -s password
echo ""

for wheel in ${@}; do
  echo "[>>] Uploading ${wheel}..."
  curl --silent --user "${username}:${password}" --insecure --upload-file ${wheel} ${SERVER}
  if [ $? != 0 ]; then
    echo "[error] curl command finished with an error condition"
    exit 1
  fi
done
